package com.miaxis.customer.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.collection.vo.CollectionCustomerVo;
import com.miaxis.customer.domain.CustomerInfo;
import com.miaxis.customer.vo.BrowseRecordCustomerInfoVo;
import com.miaxis.customer.vo.CustomerInfoVo;
import com.miaxis.customer.vo.ExhibitionCustomerInfoVo;
import org.apache.ibatis.annotations.Param;

/**
 * 客户信息Mapper接口
 *
 * @author miaxis
 * @date 2021-03-10
 */
public interface CustomerInfoMapper extends BaseMapper<CustomerInfo> {

    /**
     * 查询客户信息列表
     *
     * @param customerInfo 客户信息
     * @return 客户信息集合
     */
    List<CustomerInfo> selectCustomerInfoList(CustomerInfo customerInfo);

    /**
     * 获取客户信息详细信息
     * @param id
     * @return
     */
    CustomerInfoVo getCustomerById(@Param("id") Long id);

    /**
     * 查询商家列表
     * @param productId
     * @param userId
     * @return
     */
    List<ExhibitionCustomerInfoVo> getCustomerListByProductId(@Param("productId") Long productId,@Param("userId")Long userId);


    /**
     * 查询用户收藏列表
     * @param id
     * @return
     */
    List<CollectionCustomerVo> getCollectionList(@Param("id")Long id);

    /**
     * 查询商家详情
     * @param id 商家id
     * @return
     */
    BrowseRecordCustomerInfoVo getCustomerDetailsById(@Param("id")Long id);
}
