package com.miaxis.customer.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 展示客户信息对象返回参
 *
 * @author miaxis
 * @date 2021-03-15
 */
@Data
@ApiModel(value = "ExhibitionCustomerInfoVo", description = "展示客户信息对象返回参")
public class ExhibitionCustomerInfoVo extends BaseBusinessEntity{

    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("corporate_name")
    @ApiModelProperty(value = "公司名称")
    private String corporateName;

    @ApiModelProperty(value = "公司LOGO图片访问地址")
    private String corporateLogoFileUrl;

    @TableField("applet_address")
    @ApiModelProperty(value = "小程序地址")
    private String appletAddress;

    @ApiModelProperty(value = "小程序图标访问地址")
    private String appletLogoFileUrl;

    @ApiModelProperty(value = "小程序二维码访问地址")
    private String appletQrCodeFileUrl;

    @TableField("applet_introduce")
    @ApiModelProperty(value = "小程序介绍")
    private String appletIntroduce;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private Integer status;

    @ApiModelProperty(value = "收藏数量")
    private Integer collectionCount;

    @ApiModelProperty(value = "是否收藏 0:未收藏 1:已收藏")
    private String collectionStatus;


}
