package com.miaxis.question.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 题库对象 question_info
 *
 * @author miaxis
 * @date 2021-03-12
 */
@Data
@ApiModel(value = "QuestionInfoDto", description = "题库传参")
public class QuestionInfoRandDto extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;


    /** 类型 */
    @TableField("type")
    @ApiModelProperty(value = "类型 1:选择题 2:单选题 3:多选题")
    private Long type;


    /** 许可车型 */
    @TableField("license_type")
    @ApiModelProperty(value = "许可车型")
    private String licenseType;


    /** 科目 */
    @TableField("kemu")
    @ApiModelProperty(value = "科目")
    private Long kemu;




    /**
     * 承机条数
     */
    @ApiModelProperty(value = "随机条数",required = true)
    private Integer num;

}
