package com.miaxis.question.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.question.domain.QuestionCollection;
import com.miaxis.question.domain.QuestionError;
import com.miaxis.question.dto.QuestionCollectionDto;
import com.miaxis.question.mapper.QuestionCollectionMapper;
import com.miaxis.question.service.IQuestionCollectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 题目收藏Service业务层处理
 *
 * @author miaxis
 * @date 2021-03-18
 */
@Service
public class QuestionCollectionServiceImpl extends ServiceImpl<QuestionCollectionMapper, QuestionCollection> implements IQuestionCollectionService {
    @Autowired
    private QuestionCollectionMapper questionCollectionMapper;

    /**
     * 查询题目收藏列表
     *
     * @param questionCollection 题目收藏
     * @return 题目收藏
     */
    @Override
    public List<QuestionCollection> selectQuestionCollectionList(QuestionCollection questionCollection){
        return questionCollectionMapper.selectQuestionCollectionList(questionCollection);
    }


    @Override
    public List<QuestionError> getQuestionCollectionList(QuestionCollectionDto questionCollectionDto) {
        return questionCollectionMapper.getQuestionCollectionList(questionCollectionDto);
    }
}
